<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style> 
        
        body{
            font-family:Arial, Helvetica, sans-serif;
        }
        .flexbox{
            width: 960px;
            margin: auto;
        }

        .items{
            overflow-x: scroll;
            display: flex;
            margin: 50px 0 50px 0;
        }
        .items > a{
            border: 1px solid black;
            margin: 5px;
            text-decoration: none;
            
        }
        .items > a > p{
            text-align: center;
            color: black;
        }
        .list{
            padding: 10px;
        }
    
        ol{
            margin: 5px 0 5px 0;
            font-size: 19px;
            padding: 0;
        }
        
        .thumb{
            width: 6%;
            height: 6%;
            margin-right: 10px;
        }
        button{
            padding: 5px;
        }
        
    </style>
</head>
<body>
    
    
        <h1 class="flexbox">Snídaně</h1>
        <div class="items">
            <a href="" class="btn-add" data-cena="2" data-nazev="Rohlík" data-img="img/rohlik.jpg"><img src="img/rohlik.jpg"><p>Rohlík</p></a>
            <a href="" class="btn-add" data-cena="5" data-nazev="Čaj" data-img="img/caj.jpg"><img src="img/caj.jpg"><p>Čaj</p></a>
            <a href="" class="btn-add" data-cena="10" data-nazev="Vejce" data-img="img/vejce-na-tvrdo.jpg"><img src="img/vejce-na-tvrdo.jpg"><p>Vejce</p></a>
            <a href="" class="btn-add" data-cena="8" data-nazev="Mléko" data-img="img/mleko.png"><img src="img/mleko.png"><p>Mléko</p></a>
            <a href="" class="btn-add" data-cena="20" data-nazev="Máslo" data-img="img/maslo.jpg"><img src="img/maslo.jpg"><p>Máslo</p></a>
            <a href="" class="btn-add" data-cena="7" data-nazev="Med" data-img="img/med.jpg"><img src="img/med.jpg"><p>Med</p></a>
        </div>
    <div class="flexbox">

        <div class="list">
            <h2 id="suma"></h2>
            <button class="btn-pop">Odebrat poslední</button>
            <button class="btn-popall">Odebrat vše</button>
            <ul id="seznam"></ul>
        </div>
    </div>
    
    <script src="js/jquery.min.js"></script>
    <script>
         $(document).ready(function(){
            function celkova_cena(){
                let suma = 0;
                $('#seznam ol').each(function(){
                    console.log(this);
                    suma = suma + $(this).data('cena');
                });

                $('#suma').html("Celková cena: <span style='color: green; font-size: 2rem;'>"+ suma + "</span> Kč");
            }
            $('.btn-add').on('click', function(event){
                event.preventDefault();
                koruny = $(this).data('cena')
                $('#seznam').append('<ol data-cena="' + $(this).data('cena') + '"><img class="thumb" src="'+ $(this).data('img') +'">' + $(this).data('nazev') + " " + koruny + ",-",'</ol>')
                celkova_cena();
            });
            $('.btn-pop').on('click', function(event){
                $('#seznam ol:last').remove();
                celkova_cena();
            });
            $('.btn-popall').on('click', function(event){
                $('#seznam ol').remove();
                celkova_cena();
            });
         })
        
    </script>
</body>
</html>